package edu.institution.userid.hw12.horseAnimation;

import processing.core.PApplet;
import processing.core.PImage;

/**
 * AnimationPanel is the Processing-based animation panel used by
 * AnimationController.
 * 
 * It appears that Processing doesn't always allow frameRate() to modify the
 * frameRate during the animation - In particular, when the frameRate is set to
 * 0 for much time, it cannot be reset to any other value. Processing also
 * appears to be sensitive to the use of the identifier frameRate as a parameter
 * in the AnimationPanel constructor.
 * 
 * @author kvlinden
 * @version Fall, 2009
 * @version upgraded for homework, Spring, 2012
 */
@SuppressWarnings("serial")
public class AnimationPanel extends PApplet {

	private PImage myImage;
	private int myFrameRate;
	private Boolean myRunningStatus; // not used in this stationary version...

	public AnimationPanel(String path, String imageFilename) {
		myFrameRate = 20;
		myRunningStatus = true;
		myImage = loadImage(path + imageFilename);
	}

	public void play() {
		myRunningStatus = true;
	}

	public void pause() {
		myRunningStatus = false;
	}

	public void setup() {
		size(myImage.width, myImage.height);
		frameRate(myFrameRate);
	}

	public void draw() {
		background(255);
		image(myImage, 0, 0);
	}

}
